#
# spec file for package perl-IO-CaptureOutput
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-IO-CaptureOutput
Version:        1.1105
Release:        1.24
%define cpan_name IO-CaptureOutput
Summary:        (DEPRECATED) capture STDOUT and STDERR from Perl code, subprocesses or XS
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Spec) >= 3.27
%{perl_requires}

%description
*This module is no longer recommended by the maintainer* - see
Capture::Tiny instead.

This module provides routines for capturing STDOUT and STDERR from perl
subroutines, forked system calls (e.g. 'system()', 'fork()') and from XS or
C modules.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -name "*.sh" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.mkdn examples README
%license LICENSE

%changelog
* Mon Oct 28 2019 <timueller+perl@suse.de>
- updated to 1.1105
  see /usr/share/doc/packages/perl-IO-CaptureOutput/Changes
  1.1105    2019-10-25 17:40:04-04:00 America/New_York
    [META]
  - Add deprecation data to META file.
* Mon Feb  2 2015 mlatimer@suse.com
- updated to 1.1104
    [PREREQS]
  - Drop File::Spec 3.27 prereq except on MSWin32
* Sat Mar 15 2014 coolo@suse.com
- updated to 1.1103
    [FIXED]
  - Fixed rt.cpan.org #71775: test failure on non-threaded Win32 perls
    [CHANGED]
  - Updated metadata, repo and bugtracker
  - Switched distribution management to Dist::Zilla
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Aug 23 2010 pascal.bleser@opensuse.org
- initial package (1.1102)
